#
# spec file for package kupfer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kupfer
Version:        208
Release:        2.4
Summary:        An interface for quick and convenient access to applications and documents
License:        GPL-3.0+
Group:          System/GUI
Url:            http://engla.github.io/%{name}/
Source:         https://github.com/downloads/engla/%{name}/%{name}-v%{version}.tar.xz
BuildRequires:  dbus-1-python
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  python >= 2.6
BuildRequires:  python-docutils
BuildRequires:  python-gobject >= 2.18
BuildRequires:  python-gtk >= 2.20
BuildRequires:  python-keybinder
BuildRequires:  python-keyring
BuildRequires:  python-xdg
BuildRequires:  update-desktop-files
Requires:       dbus-1-python
Requires:       desktop-file-utils
Requires:       gvfs
Requires:       python-gobject >= 2.18
Requires:       python-gtk >= 2.20
Requires:       python-keybinder
Requires:       python-keyring
Requires:       python-xdg
#Provides:
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kupfer is an interface for quick and convenient access to applications
and their documents.

The most typical use is to find a specific application and launch it. We
have tried to make Kupfer easy to extend with plugins so that this
quick-access paradigm can be extended to many more objects than just
applications.

%prep
%setup -q -n %{name}-v%{version}

%build
./waf configure --prefix=%{_prefix} --libdir=%{_libdir}
./waf

%install
./waf install --destdir=%{buildroot}

%suse_update_desktop_file %{name} GTK Utility X-SuSE-DesktopUtility

%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.rst COPYING Documentation/*
%{_bindir}/%{name}
%{_bindir}/%{name}-exec
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-exec.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}-mimetypes.xml
%{_datadir}/Thunar
%{_libdir}/nautilus
%{_mandir}/man1/kupfer.1.gz
%{_mandir}/man1/kupfer-exec.1.gz

%changelog
* Sat Jul  9 2016 wnereiz@eienteiland.org
- Remove useless python-wnck dependency (for pushing to Leap)
* Sat Jan  2 2016 mimi.vx@gmail.com
- spec-cleaned
* Fri Jun  6 2014 wnereiz <wnereiz@gmail.com>
- Remove %%clean since it is not needed anymore.
* Thu Jun  5 2014 wnereiz <wnereiz@gmail.com>
- Some changes based on rpmlint results
  + Resolve standard-dir-owned-by-package problem
  + Change GPL version to spec standard.
- Use %%_libdir instead of hardcode in spec.
* Thu Jan  2 2014 wnereiz <wnereiz@gmail.com>
- Version 208
- Build rpm form the upstream codes
